import "./namespaces.js";
import e from "./namespace.js";
//#region ../../node_modules/d3-selection/src/creator.js
function t(e) {
	return function() {
		var t = this.ownerDocument, n = this.namespaceURI;
		return n === "http://www.w3.org/1999/xhtml" && t.documentElement.namespaceURI === "http://www.w3.org/1999/xhtml" ? t.createElement(e) : t.createElementNS(n, e);
	};
}
function n(e) {
	return function() {
		return this.ownerDocument.createElementNS(e.space, e.local);
	};
}
function r(r) {
	var i = e(r);
	return (i.local ? n : t)(i);
}
//#endregion
export { r as default };
